/* SKELETON CSS */
.skeleton_loader {
	width: 100%;
    position: absolute;
    z-index: 1999999;
    background: white;
    /* height: 100%; */
}

.skeleton_loader_content {
	width: 100%;
    z-index: 1999999;
    background: white;
    /* height: 100%; */
}

section{
    width: 100%;
    position: relative;
    padding: 20px;
    box-sizing: border-box;
    border-radius: 10px;
}

section .shimmer{
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;

    background: linear-gradient(100deg,
    rgba(255,255,255,0) 20%,
    rgba(255,255,255,0.5) 50%,
    rgba(255,255,255,0) 80%);

    animation: shimmer 2s infinite linear;
}

.app-content {
	display: none !important;
}


.skeleton {
    width: 100%;
    height: 100%;
    background: #bbb;
    background-size: auto;
    margin: 20px 0;
    border-radius: 5px;
}

.skeleton_text {
    width: 100%;
    height: 30px;
    background: #bbb;
    background-size: auto;
 	margin: 20px 0;
    border-radius: 5px;
}

.skeleton_card {
    width: 100%;
    height: 100%;
    background: #bbb;
    background-size: auto;
 	margin: 20px 10px;
    border-radius: 5px;
}

.skeleton_avatar {
    width: 100%;
    height: 75px;
    background: #bbb;
    background-size: auto;
    margin: 20px 10px;
    border-radius: 50%;
}

.w100 {
	width: 100%;
}

@keyframes shimmer{
    from {
        transform: translateX(-200%);
    }
    to{
        transform: translateX(200%);
    }
}

.skeleton-container {
    margin-left: auto;
    margin-right: auto;
    padding: 16px;
    width: 100%
}

@media (min-width: 960px) {
    .skeleton-container {
        max-width:900px
    }
}

@media (min-width: 1280px) {
    .skeleton-container {
        max-width:1200px
    }
}

@media (min-width: 1920px) {
    .skeleton-container {
        max-width:1800px
    }
}

@media (min-width: 2560px) {
    .skeleton-container {
        max-width:2400px
    }
}




/* SITE MANAGEMENT */

.skeleton_loader .container {
	margin: 20px;
	position: relative;
	height: 100vh;
}

.skeleton_loader .avatar_wrapper {
	width: 75px !important;
	height: 75px !important;
}

.skeleton_loader .breadcrumbs_wrapper {
	width: 30% !important;
	height: 10px !important;
	margin-top: 10px;
	margin-bottom: 20px;
}

.skeleton_loader .header_wrapper {
	width: 30% !important;
	height: 50px !important;
	margin-top: 10px;
	margin-bottom: 20px 0;
}

.skeleton_loader .action_bar_wrapper {
	width: 100% !important;
	height: 100px !important;
	margin: 40px 0;
}

.skeleton_loader .site_list_wrapper {
	width: 100% !important;
	height: 100px !important;
	margin: 10px 0;
}


.skeleton_loader .project_icon_wrapper {
	width: 50px !important;
	height: 50px !important;
	margin-right: 20px;
}

.skeleton_loader .project_title_wrapper {
	width: 90px !important;
	height: 50px !important;
}

.skeleton_loader .action_bar_wrapperr {
	width: 40%;
	height: 50px !important;
	margin-top: 20px;
}

/* PROJECT PAGE*/

.skeleton_loader .project_list_wrapper {
	width: 25% !important;
	height: 350px !important;
	margin: 10px 10px;
}

/* MEDIA DETAIL PAGE*/

.skeleton_loader .media_wrapper_left_panel {
	width: 50% !important;
	height: 100% !important;
	margin-top: 10px;
	margin-right: 10px;
}

.skeleton_loader .media_wrapper_right_panel {
	width: 50% !important;
	height: 100% !important;
	margin-top: 10px;
	margin-left: 10px;
}

.skeleton_loader .media_player_wrapper {
	width: 100% !important;
	height: 300px !important;
	margin-top: 30px !important;
	margin: 10px 0px;
}

.skeleton_loader .media_content_wrapper {
	width: 100% !important;
	height: 500px !important;
	margin: 10px 0px;
}

.skeleton_loader .user_logs_wrapper {
	width: 100% !important;
	height: 500px !important;
	margin: 10px 0px;
}

.skeleton_loader .media_player_wrapper {
	width: 100% !important;
	height: 500px !important;
	margin: 10px 0px;
}


.skeleton_loader_content .media_player_wrapper {
	width: 100% !important;
	height: 300px !important;
	margin: 10px 0px;
}

.skeleton_loader_content .header_wrapper {
	width: 100% !important;
	height: 50px !important;
	margin-top: 10px;
	margin-bottom: 20px 0;
}

